Bug 135837 - "ident does not exist" errors in install.log
"ident does not exist" errors in install.log
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: authd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Depends On:
  Show dependency treegraph
Reported: 2004-10-15 07:06 EDT by Jay Turner
Modified: 2015-01-07 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-18 04:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2004-10-15 07:06:21 EDT
Description of problem:
Getting the following in install.log:

Installing authd-1.4.2-4.i386.
warning: user ident does not exist - using root
warning: group ident does not exist - using root

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Eido Inoue 2004-10-15 12:13:02 EDT
ugh. I'd rather like rpm -V to make sure that ident.key is owned by
ident user, but there doesn't seem to be a way to do this without
actually installing the user on the build machine (%defattr and %attr
don't take numeric arguments to the owner and group parameters). On
the other hand, some people may prefer to set the owner of ident.key
to root, so perhaps some flexibility should be allowed.

changing %defattr to defaults, %verify to not check the user/group.

fixed in -7 for rhel
Comment 2 Eido Inoue 2004-10-15 12:21:13 EDT
make that -9
Comment 3 Jay Turner 2004-10-18 04:48:47 EDT
authd-1.4.2-8 appears to have the change, as well as make things
happy.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.